import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.util.Enumeration;

public class Parameters extends HttpServlet {
    public void doGet(HttpServletRequest req, HttpServletResponse res)
        throws IOException, ServletException {
	if (req.getParameter("vorname") == null) {
	    res.setContentType("text/html");
	    PrintWriter out = res.getWriter();
	    out.println("<html>");
	    out.println("  <head>");
	    out.println("    <title>Parameters</title>");
	    out.println("  </head>");
	    out.println("  <body>");
	    out.println("    <form action=\"/servlet/Parameters\" method=post>");
	    out.println("      Vorname: <input type=text name=\"vorname\" size=20 />");
	    out.println("      <br />");
	    out.println("      <input type=hidden name=\"nachname\" value=\"Muster\" />");
	    out.println("      <input type=submit name=\"button\" value=\"Absenden\">");
	    out.println("    </form>");
	    out.println("  </body>");
	    out.println("</html>");
	}
	else {
	    res.setContentType("text/plain");
	    PrintWriter out = res.getWriter();

	    // getParameter() liefert den ersten Wert des Parameters
	    // (oder null, wenn es keinen solchen Parameter gibt)
	    out.println("Hallo "+req.getParameter("vorname")+"!");

	    out.println();
	    out.println("Hier kommen alle Parameter:");

	    // wir iterieren nun ber alle Parameter-Namen ...
	    Enumeration e = req.getParameterNames();
	    while (e.hasMoreElements()) {
	        String name = (String) e.nextElement();
		out.print(name+" = ");
		// alle Werte des Parameters name ausgeben
		// geht mit der Methode getParameterValues()
		String[] values = req.getParameterValues(name);
		for (int i = 0; i < values.length; i++)
		    out.print((i > 0 ? ", " : "") + values[i]);
		out.println();
	    }
	}
    }
    public void doPost(HttpServletRequest req, HttpServletResponse res)
        throws IOException, ServletException {
	doGet(req, res);
    }
}
